Subject: Protocol Action: 'RADIUS Extension for Digest Authentication' to Proposed Standard
From: The IESG <[email-masked]>
To: IETF-Announce <[email-masked]>
Cc: Internet Architecture Board <[email-masked]>, RFC Editor <[email-masked]>, radext mailing list <[email-masked]>, radext chair <[email-masked]>, radext chair <[email-masked]>
Date: Wed, 31 May 2006 13:34:53 -0400

The IESG has approved the following document:

- 'RADIUS Extension for Digest Authentication '
   <draft-ietf-radext-digest-auth-09.txt> as a Proposed Standard

This document is the product of the RADIUS EXTensions Working Group. 

The IESG contact persons are David Kessens and Dan Romascanu.

A URL of this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-radext-digest-auth-09.txt

Technical Summary

 This document defines an extension to the RADIUS protocol to enable support
 of Digest Authentication, for use with HTTP-style protocols
 like SIP and HTTP.
 
Working Group 

 This document is a product of the RADEXT working group. 
  
Protocol Quality
 
 David Kessens reviewed this document for the IESG.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Wed, 31 May 2006 16:28:12 +0000
From: "Bernard Aboba" <[email-masked]>
To: [email-masked]
Bcc: 
Subject: RADIUS Digest Authentication document approved for publication
Date: Wed, 31 May 2006 09:27:43 -0700

Today, the IESG approved the RADIUS Digest Authentication document for 
publication.  Congratulations to the authors!

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Envelope-to: [email-masked]
Delivery-date: Mon, 29 May 2006 23:53:37 +0000
To: IETF-Announce <[email-masked]>
From: The IESG <[email-masked]>
Subject: Last Call: 'RADIUS Acct Server MIB (IPv6)' to Informational RFC  (draft-ietf-radext-rfc2621bis) 
Reply-to: [email-masked]
CC: <[email-masked]>
Message-Id: <[email-masked]>
Date: Mon, 29 May 2006 19:53:29 -0400

The IESG has received a request from the RADIUS EXTensions WG to consider the 
following document:

- 'RADIUS Acct Server MIB (IPv6) '
   <draft-ietf-radext-rfc2621bis-03.txt> as an Informational RFC

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by 2006-06-12.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-radext-rfc2621bis-03.txt

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Envelope-to: [email-masked]
Delivery-date: Mon, 29 May 2006 23:49:58 +0000
To: IETF-Announce <[email-masked]>
From: The IESG <[email-masked]>
Subject: Last Call: 'RADIUS Acct Client MIB (IPv6)' to Informational RFC  (draft-ietf-radext-rfc2620bis) 
Reply-to: [email-masked]
CC: <[email-masked]>
Message-Id: <[email-masked]>
Date: Mon, 29 May 2006 19:49:53 -0400

The IESG has received a request from the RADIUS EXTensions WG to consider the 
following document:

- 'RADIUS Acct Client MIB (IPv6) '
   <draft-ietf-radext-rfc2620bis-03.txt> as an Informational RFC

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by 2006-06-12.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-radext-rfc2620bis-03.txt

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Envelope-to: [email-masked]
Delivery-date: Mon, 29 May 2006 23:47:04 +0000
To: IETF-Announce <[email-masked]>
From: The IESG <[email-masked]>
Subject: Last Call: 'RADIUS Auth Server MIB (IPv6)' to Proposed Standard  (draft-ietf-radext-rfc2619bis) 
Reply-to: [email-masked]
CC: <[email-masked]>
Message-Id: <[email-masked]>
Date: Mon, 29 May 2006 19:46:59 -0400

The IESG has received a request from the RADIUS EXTensions WG to consider the 
following document:

- 'RADIUS Auth Server MIB (IPv6) '
   <draft-ietf-radext-rfc2619bis-03.txt> as a Proposed Standard

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by 2006-06-12.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-radext-rfc2619bis-03.txt

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Envelope-to: [email-masked]
Delivery-date: Mon, 29 May 2006 23:46:33 +0000
To: IETF-Announce <[email-masked]>
From: The IESG <[email-masked]>
Subject: Last Call: 'RADIUS Auth Client MIB (IPv6)' to Proposed Standard  (draft-ietf-radext-rfc2618bis) 
Reply-to: [email-masked]
CC: <[email-masked]>
Message-Id: <[email-masked]>
Date: Mon, 29 May 2006 19:46:29 -0400

The IESG has received a request from the RADIUS EXTensions WG to consider the 
following document:

- 'RADIUS Auth Client MIB (IPv6) '
   <draft-ietf-radext-rfc2618bis-03.txt> as a Proposed Standard

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by 2006-06-12.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-radext-rfc2618bis-03.txt

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Envelope-to: [email-masked]
Delivery-date: Mon, 29 May 2006 23:46:14 +0000
To: IETF-Announce <[email-masked]>
From: The IESG <[email-masked]>
Subject: Last Call: 'Dynamic Authorization Client MIB' to Informational RFC  (draft-ietf-radext-dynauth-client-mib) 
Reply-to: [email-masked]
CC: <[email-masked]>
Message-Id: <[email-masked]>
Date: Mon, 29 May 2006 19:45:50 -0400

The IESG has received a request from the RADIUS EXTensions WG to consider the 
following documents:

- 'Dynamic Authorization Server MIB '
   <draft-ietf-radext-dynauth-server-mib-05.txt> as an Informational RFC
- 'Dynamic Authorization Client MIB '
   <draft-ietf-radext-dynauth-client-mib-05.txt> as an Informational RFC

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by 2006-06-12.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-radext-dynauth-server-mib-05.txt
http://www.ietf.org/internet-drafts/draft-ietf-radext-dynauth-client-mib-05.txt

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Mon, 29 May 2006 20:18:39 +0000
From: "Bernard Aboba" <[email-masked]>
To: [email-masked]
Bcc: 
Subject: Request for allocation of new Framed-Compression values
Date: Mon, 29 May 2006 13:18:06 -0700

The IANA has received a request for allocation of new values of the 
Framed-Compression attribute, based on the following document:

http://www.watersprings.org/pub/id/draft-chowdhury-rohc-radius-attributes-00.txt

New values are being requested for the following compression types:

   TBD-1	RObust Header Compression [RFC3095].
   TBD-2	VJ TCP/IP header compression and RObust Header Compression
   		[ROHC-VJ].
   TBD-3	Link Layer Assisted RObust Header Compression [RFC3242].

Based on my reading of the document, I'm prepared to recommend that the 
request be approved.  Any objections?

>-----Original Message-----
>From: [email-masked] 
>[mailto:[email-masked]]
>
>Sent: Thursday, November 03, 2005 12:17 PM
>To: [email-masked]; [email-masked]
>Subject: General Request for Assignments
>
>Contact Name :
>Kuntal Chowdhury
>
>Contact Email :
>[email-masked]
>
>Type of Assignment :
>A new value for ROHC in RADIUS "Framed-Compression" attribute (RFC  2865)
>
>Registry :
>http://www.iana.org/assignments/radius-types
>
>Description :
>To use ROHC header compression.
>
>Additional Info :
>We have a short draft to describe the use of this value: 
>http://www.ietf.org/internet-drafts/draft-chowdhury-rohc-radius-attributes-00.txt

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Envelope-to: [email-masked]
Delivery-date: Fri, 26 May 2006 13:51:55 +0000
To: IETF-Announce <[email-masked]>
From: The IESG <[email-masked]>
Subject: Last Call: 'RADIUS Attributes for Virtual LAN and Priority Support' to  Proposed Standard (draft-ietf-radext-vlan) 
Reply-to: [email-masked]
CC: <[email-masked]>
Message-Id: <[email-masked]>
Date: Fri, 26 May 2006 09:51:51 -0400

The IESG has received a request from the RADIUS EXTensions WG to consider the 
following document:

- 'RADIUS Attributes for Virtual LAN and Priority Support '
   <draft-ietf-radext-vlan-05.txt> as a Proposed Standard

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by 2006-06-09.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-radext-vlan-05.txt

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Envelope-to: [email-masked]
Delivery-date: Fri, 26 May 2006 13:51:18 +0000
To: IETF-Announce <[email-masked]>
From: The IESG <[email-masked]>
Subject: Last Call: 'RADIUS Delegated-IPv6-Prefix Attribute' to Proposed  Standard (draft-ietf-radext-delegated-prefix) 
Reply-to: [email-masked]
CC: <[email-masked]>
Message-Id: <[email-masked]>
Date: Fri, 26 May 2006 09:50:41 -0400

The IESG has received a request from the RADIUS EXTensions WG to consider the 
following document:

- 'RADIUS Delegated-IPv6-Prefix Attribute '
   <draft-ietf-radext-delegated-prefix-01.txt> as a Proposed Standard

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by 2006-06-09.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-radext-delegated-prefix-01.txt

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Wed, 24 May 2006 19:51:27 +0000
To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-radext-delegated-prefix-01.txt 
Date: Wed, 24 May 2006 15:50:01 -0400

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the RADIUS EXTensions Working Group of the IETF.

	Title		: RADIUS Delegated-IPv6-Prefix Attribute
	Author(s)	: J. Salowey, R. Droms
	Filename	: draft-ietf-radext-delegated-prefix-01.txt
	Pages		: 5
	Date		: 2006-5-24
	
This document defines a RADIUS (Remote Authentication Dial In User
Service) attribute that carries an IPv6 prefix that is to be
delegated to the user.  This attribute is usable within either RADIUS
or Diameter.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-radext-delegated-prefix-01.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-radext-delegated-prefix-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-radext-delegated-prefix-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-radext-delegated-prefix-01.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-radext-delegated-prefix-01.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Wed, 24 May 2006 17:05:46 +0000
From: "Bernard Aboba" <[email-masked]>
To: [email-masked]
Bcc: 
Subject: IETF 66 Draft Submission Deadlines
Date: Wed, 24 May 2006 10:05:11 -0700

There are two (2) Internet-Draft cutoff dates for the 66th  IETF Meeting in 
Montreal, Quebec, Canada:

June 19th: Cutoff Date for Initial (i.e., version -00)
Internet-Draft Submissions

All initial Internet-Drafts (version -00) must be submitted by Monday,
June 19th at 9:00 AM ET. As always, all initial submissions with a
filename beginning with "draft-ietf" must be approved by the
appropriate WG Chair before they can be processed or announced.  The
Secretariat would appreciate receiving WG Chair approval by Monday,
June 12th at 9:00 AM ET.

June 26th: Cutoff Date for Revised (i.e., version -01 and higher)
Internet-Draft Submissions

All revised Internet-Drafts (version -01 and higher) must be submitted
by Monday, June 26th at 9:00 AM ET.

Initial and revised Internet-Drafts received after their respective
cutoff dates will not be made available in the Internet-Drafts
directory or announced until on or after Monday, July 10th at 9:00
AM ET, when Internet-Draft posting resumes.  Please do not wait until
the last minute to submit.

Thank you for your understanding and cooperation. If you have any
questions or concerns, then please send a message to
internet-drafts at ietf.org.

The IETF Secretariat

FYI: The Internet-Draft cutoff dates as well as other significant dates
for the 66th IETF Meeting can be found at 
http://www.ietf.org/meetings/cutoff_dates_66.html.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Mon, 22 May 2006 19:50:42 +0000
To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-radext-digest-auth-09.txt 
Date: Mon, 22 May 2006 15:50:01 -0400

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the RADIUS EXTensions Working Group of the IETF.

	Title		: RADIUS Extension for Digest Authentication
	Author(s)	: B. Sterman, et al.
	Filename	: draft-ietf-radext-digest-auth-09.txt
	Pages		: 37
	Date		: 2006-5-22
	
This document defines an extension to the Remote Authentication Dial
   In User Service (RADIUS) protocol to enable support of Digest
   Authentication, for use with HTTP-style protocols like the Session
   Initiation Protocol (SIP) and HTTP.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-radext-digest-auth-09.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-radext-digest-auth-09.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-radext-digest-auth-09.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-radext-digest-auth-09.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-radext-digest-auth-09.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Wed, 17 May 2006 15:06:17 +0000
From: "Beck01, Wolfgang" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Subject: Re: Review of draft-ietf-radext-digest-auth-08.txt (fwd)
Date: Wed, 17 May 2006 17:05:58 +0200

> -----Urspr=FCngliche Nachricht-----
Alexey
>>   2.1.2.  Constructing an Access-Request
>> [...]
>>=20
>>   Due to syntactic requirements, HTTP-style protocols have to escape
>>   quote characters in contents of HTTP Digest directives.  When
>=20
> "with backslash all quote and backslash characters in contents of =
..."
OK

>>
>>   2.2.1.  General Attribute Checks
>=20
>> [...]
>>   The RADIUS server removes '\' characters that escape quote=20
>> characters "... that escape quote and '\' characters ..."
>>   from the text values it has received in the Digest-* attributes.
OK

>>   8.1.  Denial of Service
>> [...]
>>   An attacker can attempt a denial of service attack on one or more
>>   RADIUS servers by sending a large number of HTTP-style requests.  =
To
>>   make simple denial of service attacks more difficult, the nonce
>>   issuer (RADIUS client or server) MUST check if it has generated =
the
>>   nonce received from an HTTP-style client.  This SHOULD be done
>>   statelessly.  For example, a nonce could consist of a
>>   cryptographically random part and some kind of signature provided =
by
>>   the RADIUS client, as described in [RFC2617], section 3.2.1.
>=20
> The RADIUS client no longer generates nonces, so it can't=20
> verify signature, unless it knows how RADIUS server generates nonces.
>
I knew I'd miss some of those.
=20
>   9.  Acknowledgments
>=20
>   We would like to acknowledge Kevin Mcdermott (Cisco Systems) /or
> typo: "for"
>   providing comments and experimental implementation.

Thank you for reviewing this document again.

Wolfgang

--
T-Systems Enterprise Services GmbH
Systems Integration
Technologiezentrum
Engineering Networks, Products & Services
Next Generation IP Services & Systems
Am Kavalleriesand 3
64295 Darmstadt
Tel +49 6151 937 2863

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Wed, 17 May 2006 14:34:18 +0000
Content-class: urn:content-classes:message
Subject: RADEXT Issue 194
Date: Wed, 17 May 2006 10:33:33 -0400
From: "Nelson, David" <[email-masked]>
To: <[email-masked]>

Issue 194 (reproduced below) has been addressed in the -03 MIB =
documents.  Bert's comment came in on a strawman -03, and I made the =
suggested revisions prior to submitting the -03 documents to the =
Secretariat.

------------------------------------------------------------------

Issue 194: InetPortNumber
Submitter name: Bert Wijnen
Submitter email address: [email-masked]
Date first submitted: May 11, 2006
Reference: http://ops.ietf.org/lists/radiusext/2006/msg00504.html
Document: Auth-Client-MIB-03, Acct-Client-MIB-03
Comment type: Editorial
Priority: 1
Section: 7
Rationale/Explanation of issue:
When I read:
   radiusAuthClientServerInetPortNumber  OBJECT-TYPE
         SYNTAX InetPortNumber
         MAX-ACCESS read-only
         STATUS current
         DESCRIPTION
               "The UDP port the client is using to send requests
                to this server."
         REFERENCE "RFC 2865 section 3"
         ::=3D { radiusAuthServerExtEntry 4 }
or
      radiusAccClientServerInetPortNumber  OBJECT-TYPE
            SYNTAX InetPortNumber
            MAX-ACCESS read-only
            STATUS current
            DESCRIPTION
                  "The UDP port the client is using to send requests
                   to this accounting server."
            REFERENCE "RFC 2866 section 3"
            ::=3D { radiusAccServerExtEntry 4 }

I think I would make that
=A0=A0=A0=A0=A0=A0=A0=A0=A0 SYNTAX=A0=A0=A0=A0 InetPortNumber (1..65535)
So that it is also determinable by machine that zero is invalid.
I know that I only pointed out that according to RFC 4001 you must state
what zero means. B ut if the value is not allowed, as I now understand =
it,
then I think using the SYNTAX I suggest is better.

Proposed Resolution: Accept
=A0

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Tue, 16 May 2006 19:03:29 +0000
Content-class: urn:content-classes:message
Subject: RE: I-D ACTION:draft-ietf-radext-rfc2618bis-03.txt 
Date: Tue, 16 May 2006 15:03:16 -0400
From: "Nelson, David" <[email-masked]>
To: <[email-masked]>

Carl Kalbfleisch writes...

> What is the status of this and the updates to 2619, 2620 and 2621?

All four documents are in AD Review.

> Have these already passed last call?

They have passed WG Last Call some time ago.  The IESG may decide to
hold an IETF Last Call on all of these documents.

> 1) in this MIB I noticed that mosy complains about the definition of
> radiusAuthClientExtMIBCompliance MODULE-COMPLIANCE
> When I make the following change the syntax error is resolved.
RFC-2578
> indicates that the restricted enumeration is ok for INTEGER. Probably
an
> issue with mosy not interpreting the textual convention, but wanted to
> mention it in case it needs to be corrected somehow...
>=20
>         OBJECT radiusAuthServerInetAddressType
> --          SYNTAX InetAddressType { ipv4(1), ipv6(2) }
>          SYNTAX INTEGER { ipv4(1), ipv6(2) }

This correction was suggested by Bert Wijnen, and it passed the SMIv2
syntax checker that I use.
http://wwwsnmp.cs.utwente.nl/ietf/mibs/validate/
I suspect this is an issue with your compiler.
=20
> 2) In the Accounting Client MIB I get a syntax error with mosy in the
> radiusAccClientExtMIBCompliance MODULE-COMPLIANCE. However if I make
the
> following change it works. Again, Probably an issue with mosy...
>=20
> --        SYNTAX InetAddressType { ipv4(1), ipv6(2) }
>         SYNTAX INTEGER { ipv4(1), ipv6(2) }

Ditto.
 =20
> 3) the accounting client MIB the first line of the MIB changed from
>=20
>    RADIUS-ACC-CLIENT-MIB DEFINITIONS ::=3D BEGIN
>=20
> to
>=20
>    RADIUS-ACCT-CLIENT-MIB DEFINITIONS ::=3D BEGIN
>=20
> (the T was added). Is this ok?

Ooops.  No, it is not OK.  This is a typo that will need to be corrected
before the document is published as an RFC.  Good catch.  Everyone else,
including me, has missed this so far.  :-)

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Tue, 16 May 2006 18:51:49 +0000
content-class: urn:content-classes:message
Subject: FW: I-D ACTION:draft-ietf-radext-rfc2618bis-03.txt 
Date: Tue, 16 May 2006 13:50:07 -0500
From: "Carl Kalbfleisch" <[email-masked]>
To: <[email-masked]>

This is a multi-part message in MIME format.

------_=_NextPart_001_01C67919.8D0ADFE8
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

What is the status of this and the updates to 2619, 2620 and 2621? Have =
these already passed last call? Just curious as I am wanting to =
implement this to get the discontinuity values.

I have three comments:

1) in this MIB I noticed that mosy complains about the definition of =
radiusAuthClientExtMIBCompliance MODULE-COMPLIANCE
When I make the following change the syntax error is resolved.  RFC-2578 =
indicates that the restricted enumeration is ok for INTEGER. Probably an =
issue with mosy not interpreting the textual convention, but wanted to =
mention it in case it needs to be corrected somehow...

        OBJECT radiusAuthServerInetAddressType
--          SYNTAX InetAddressType { ipv4(1), ipv6(2) }
         SYNTAX INTEGER { ipv4(1), ipv6(2) }

2) In the Accounting Client MIB I get a syntax error with mosy in the =
radiusAccClientExtMIBCompliance MODULE-COMPLIANCE. However if I make the =
following change it works. Again, Probably an issue with mosy...

--        SYNTAX InetAddressType { ipv4(1), ipv6(2) }
        SYNTAX INTEGER { ipv4(1), ipv6(2) }

3) the accounting client MIB the first line of the MIB changed from=20

   RADIUS-ACC-CLIENT-MIB DEFINITIONS ::=3D BEGIN

to

   RADIUS-ACCT-CLIENT-MIB DEFINITIONS ::=3D BEGIN

(the T was added). Is this ok?

Carl

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of
[email-masked]
Sent: Monday, May 15, 2006 2:50 PM
To: [email-masked]
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-radext-rfc2618bis-03.txt=20

A New Internet-Draft is available from the on-line Internet-Drafts =
directories.
This draft is a work item of the RADIUS EXTensions Working Group of the =
IETF.

	Title		: RADIUS Auth Client MIB (IPv6)
	Author(s)	: D. Nelson
	Filename	: draft-ietf-radext-rfc2618bis-03.txt
	Pages		: 24
	Date		: 2006-5-15
=09
This memo defines a set of extensions which instrument RADIUS
authentication client functions.  These extensions represent a
portion of the Management Information Base (MIB) for use with network
management protocols in the Internet community.  Using these
extensions IP-based management stations can manage RADIUS
authentication clients.

This memo obsoletes RFC 2618 by deprecating the MIB table containing
IPv4-only address formats and defining a new table to add support for
version neutral IP address formats.  The remaining MIB objects from
RFC 2618 are carried forward into this document.  The memo also adds
UNITS and REFERENCE clauses to selected objects.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-radext-rfc2618bis-03.txt

To remove yourself from the I-D Announcement list, send a message to=20
[email-masked] with the word unsubscribe in the body of =
the message. =20
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce=20
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the =
username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-radext-rfc2618bis-03.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html=20
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-radext-rfc2618bis-03.txt".
=09
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.
	=09
	=09
Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

------_=_NextPart_001_01C67919.8D0ADFE8
Content-Type: application/octet-stream;
	name="draft-ietf-radext-rfc2618bis-03.URL"
Content-Transfer-Encoding: base64
Content-Description: draft-ietf-radext-rfc2618bis-03.URL
Content-Disposition: attachment;
	filename="draft-ietf-radext-rfc2618bis-03.URL"

W0ludGVybmV0U2hvcnRjdXRdDQpVUkw9ZnRwOi8vZnRwLmlldGYub3JnL2ludGVybmV0LWRyYWZ0
cy9kcmFmdC1pZXRmLXJhZGV4dC1yZmMyNjE4YmlzLTAzLnR4dA0K

------_=_NextPart_001_01C67919.8D0ADFE8--

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Mon, 15 May 2006 19:51:00 +0000
To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-radext-rfc2620bis-03.txt 
Date: Mon, 15 May 2006 15:50:02 -0400

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the RADIUS EXTensions Working Group of the IETF.

	Title		: RADIUS Acct Client MIB (IPv6)
	Author(s)	: D. Nelson
	Filename	: draft-ietf-radext-rfc2620bis-03.txt
	Pages		: 23
	Date		: 2006-5-15
	
This memo defines a set of extensions which instrument RADIUS
accounting client functions.  These extensions represent a portion of
the Management Information Base (MIB) for use with network management
protocols in the Internet community.  Using these extensions IP-based
management stations can manage RADIUS accounting clients.

This memo obsoletes RFC 2620 by deprecating the MIB table containing
IPv4-only address formats and defining a new table to add support for
version neutral IP address formats.  The remaining MIB objects from
RFC 2620 are carried forward into this document.  This memo also adds
UNITS and REFERENCE clauses to selected objects.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-radext-rfc2620bis-03.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-radext-rfc2620bis-03.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-radext-rfc2620bis-03.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-radext-rfc2620bis-03.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-radext-rfc2620bis-03.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Mon, 15 May 2006 19:50:52 +0000
To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-radext-rfc2618bis-03.txt 
Date: Mon, 15 May 2006 15:50:02 -0400

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the RADIUS EXTensions Working Group of the IETF.

	Title		: RADIUS Auth Client MIB (IPv6)
	Author(s)	: D. Nelson
	Filename	: draft-ietf-radext-rfc2618bis-03.txt
	Pages		: 24
	Date		: 2006-5-15
	
This memo defines a set of extensions which instrument RADIUS
authentication client functions.  These extensions represent a
portion of the Management Information Base (MIB) for use with network
management protocols in the Internet community.  Using these
extensions IP-based management stations can manage RADIUS
authentication clients.

This memo obsoletes RFC 2618 by deprecating the MIB table containing
IPv4-only address formats and defining a new table to add support for
version neutral IP address formats.  The remaining MIB objects from
RFC 2618 are carried forward into this document.  The memo also adds
UNITS and REFERENCE clauses to selected objects.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-radext-rfc2618bis-03.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-radext-rfc2618bis-03.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-radext-rfc2618bis-03.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-radext-rfc2618bis-03.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-radext-rfc2618bis-03.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Mon, 15 May 2006 19:50:44 +0000
To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-radext-rfc2619bis-03.txt 
Date: Mon, 15 May 2006 15:50:02 -0400

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the RADIUS EXTensions Working Group of the IETF.

	Title		: RADIUS Auth Server MIB (IPv6)
	Author(s)	: D. Nelson
	Filename	: draft-ietf-radext-rfc2619bis-03.txt
	Pages		: 26
	Date		: 2006-5-15
	
This memo defines a set of extensions which instrument RADIUS
authentication server functions.  These extensions represent a
portion of the Management Information Base (MIB) for use with network
management protocols in the Internet community.  Using these
extensions IP-based management stations can manage RADIUS
authentication servers.

This memo obsoletes RFC 2619 by deprecating the MIB table containing
IPv4-only address formats and defining a new table to add support for
version neutral IP address formats.  The remaining MIB objects from
RFC 2619 are carried forward into this document.  This memo also adds
UNITS and Reference clauses to selected objects.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-radext-rfc2619bis-03.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-radext-rfc2619bis-03.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-radext-rfc2619bis-03.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-radext-rfc2619bis-03.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-radext-rfc2619bis-03.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Mon, 15 May 2006 19:50:36 +0000
To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-radext-rfc2621bis-03.txt 
Date: Mon, 15 May 2006 15:50:02 -0400

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the RADIUS EXTensions Working Group of the IETF.

	Title		: RADIUS Acct Server MIB (IPv6)
	Author(s)	: D. Nelson
	Filename	: draft-ietf-radext-rfc2621bis-03.txt
	Pages		: 25
	Date		: 2006-5-15
	
This memo defines a set of extensions which instrument RADIUS
accounting server functions.  These extensions represent a portion of
the Management Information Base (MIB) for use with network management
protocols in the Internet community.  Using these extensions IP-based
management stations can manage RADIUS accounting servers.

This memo obsoletes RFC 2621 by deprecating the MIB table containing
IPv4-only address formats and defining a new table to add support for
version neutral IP address formats.  The remaining MIB objects from
RFC 2621 are carried forward into this document.  This memo also adds
UNITS and REFERENCE clauses to selected objects.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-radext-rfc2621bis-03.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-radext-rfc2621bis-03.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-radext-rfc2621bis-03.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-radext-rfc2621bis-03.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-radext-rfc2621bis-03.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Mon, 15 May 2006 13:04:36 +0000
From: "Bernard Aboba" <[email-masked]>
To: [email-masked]
Bcc: 
Subject: Review of draft-ietf-radext-digest-auth-08.txt (fwd)
Date: Mon, 15 May 2006 06:04:06 -0700

---------- Forwarded message ----------
Date: Mon, 15 May 2006 10:37:03 +0100
From: Alexey Melnikov <[email-masked]
To: Bernard Aboba <[email-masked]

Bernard Aboba wrote:

  We now have a new version of the document:
  http://www.ietf.org/internet-drafts/draft-ietf-radext-digest-auth-08.txt
  Before submitting this to the IESG, it would be helpful to know if the
  comments on -06 have been addressed.

All major issues I've raised before are addressed. The document reads much
better after removal of client side nonce generation. Some minor additional
comments below:

  2.1.2.  Constructing an Access-Request
[...]

  Due to syntactic requirements, HTTP-style protocols have to escape
  quote characters in contents of HTTP Digest directives.  When

"with backslash all quote and backslash characters in contents of ..."

  translating directives into RADIUS attributes, the RADIUS client only
  removes the surrounding quotes where present.  See Section 3 for an
  example.

  2.2.1.  General Attribute Checks

[...]
  The RADIUS server removes '\' characters that escape quote characters
"... that escape quote and '\' characters ..."
  from the text values it has received in the Digest-* attributes.

  8.1.  Denial of Service
[...]
  An attacker can attempt a denial of service attack on one or more
  RADIUS servers by sending a large number of HTTP-style requests.  To
  make simple denial of service attacks more difficult, the nonce
  issuer (RADIUS client or server) MUST check if it has generated the
  nonce received from an HTTP-style client.  This SHOULD be done
  statelessly.  For example, a nonce could consist of a
  cryptographically random part and some kind of signature provided by
  the RADIUS client, as described in [RFC2617], section 3.2.1.

The RADIUS client no longer generates nonces, so it can't verify signature,
unless it knows how RADIUS server generates nonces.

  9.  Acknowledgments

  We would like to acknowledge Kevin Mcdermott (Cisco Systems) /or
typo: "for"
  providing comments and experimental implementation.

Alexey
/*
*/

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Sun, 14 May 2006 19:28:01 +0000
From: "Bernard Aboba" <[email-masked]>
To: [email-masked]
Bcc: 
Subject: Issue: InetPortNumber range
Date: Sun, 14 May 2006 12:27:09 -0700

From: "Wijnen, Bert (Bert)" <[email-masked]
To: [email-masked]
Subject: RE: I-D ACTION:draft-ietf-radext-dynauth-client-mib-05.txt
Date: Thu, 11 May 2006 15:37:28 +0200

I think this document is fine now.
However, when I read:
    radiusDynAuthServerClientPortNumber OBJECT-TYPE
           SYNTAX     InetPortNumber
           MAX-ACCESS read-only

           STATUS     current
           DESCRIPTION
                 "The UDP destination port that the RADIUS Dynamic
                  Authorization Client is using to send requests to this
                  server. The value zero is invalid."
           ::= { radiusDynAuthServerEntry 4 }

I think I would make that

           SYNTAX     InetPortNumber (1..65535)
So that it is also determinable by machine that zero is invalid.
I know that I only pointed out that according to RFC4001 you must state
what zero means. But if the value is not allowed, as I now understand it,
then I think using the SYNTAX I suggest is better.

Bert

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Thu, 11 May 2006 14:26:50 +0000
Content-class: urn:content-classes:message
Subject: RE: looking for advise on RFC-2618 and 2620
Date: Thu, 11 May 2006 10:26:33 -0400
From: "Nelson, David" <[email-masked]>
To: <[email-masked]>

Bert Wijnen writes...

> By the way, I can agree with a disontinuity timer object per row/entry
> if it is available at that granularity.

The -03 revision drafts, now in preparation, do have a discontinuity
timer per row, which means per client or server instance.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Thu, 11 May 2006 13:40:10 +0000
From: "Wijnen, Bert (Bert)" <[email-masked]>
To: Carl Kalbfleisch <[email-masked]>, Barney Wolff <[email-masked]>, "Romascanu, Dan (Dan)" <[email-masked]>
Cc: "Nelson, David" <[email-masked]>, [email-masked], [email-masked]
Subject: RE: looking for advise on RFC-2618 and 2620
Date: Thu, 11 May 2006 15:39:46 +0200

By the way, I can agree with a disontinuity timer object per row/entry
if it is available at that granularity.

Bert

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Carl Kalbfleisch
> Sent: Wednesday, April 05, 2006 22:06
> To: Barney Wolff; Romascanu, Dan (Dan)
> Cc: Nelson, David; [email-masked]; 
> [email-masked]
> Subject: RE: looking for advise on RFC-2618 and 2620
> 
> 
> 
> I think the model is the interface MIB which provides 
> discontinuity per interface.
> 
> Carl
> 
> > -----Original Message-----
> > From: Barney Wolff [mailto:[email-masked]]
> > Sent: Wednesday, April 05, 2006 3:05 PM
> > To: Romascanu, Dan (Dan)
> > Cc: Nelson, David; [email-masked]; Carl Kalbfleisch;
> > [email-masked]
> > Subject: Re: looking for advise on RFC-2618 and 2620
> > 
> > 
> > On Wed, Apr 05, 2006 at 08:48:09PM +0300, Romascanu, Dan 
> (Dan) wrote:
> > > > 
> > > > RADIUS can hardly be the only potentially distributed 
> > > > application with this problem.  Perhaps mib-doctors can be 
> > > > asked how others have solved it, or determined that such 
> > > > internal issues must be kept hidden.
> > > 
> > > Hiding is certainly not good. Counter discontinuity objects 
> > should be
> > > defined when discontinuities happen at other time than
> > > re-initialization, as per RFC 2578, Sections 7.1.6 and 
> > 7.1.10 and RFC
> > > 4181 Section 4.6.1.2. The granularity of the discontinuity objects
> > > (global, per table, per row) is a function of whether 
> > discontinuities
> > > happen globally, or per interface, etc. 
> > 
> > Not to be tedious, but I was hardly suggesting that 
> entities lie about
> > discontinuities.  Rather, perhaps by using a buddy system 
> or a central
> > collection point, avoid them.  The issue is the extent to 
> > which outside
> > entities need to be aware of the distributed nature of some managed
> > entity, or whether the entity should take pains to present a unitary
> > appearance to the world.  There seems to be little 
> stylistic guidance
> > on this point, which becomes ever more relevant.  Your last sentence
> > gives fine guidance for a vendor MIB on a particular 
> design, but not,
> > I submit, for a standard.
> > 
> > Barney Wolff
> > 
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://psg.com/lists/radiusext/>
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Thu, 11 May 2006 13:38:23 +0000
From: "Wijnen, Bert (Bert)" <[email-masked]>
To: [email-masked]
Subject: RE: I-D ACTION:draft-ietf-radext-dynauth-server-mib-05.txt 
Date: Thu, 11 May 2006 15:37:28 +0200

I think this document is now OK.

Bert

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Thursday, March 30, 2006 01:50
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D ACTION:draft-ietf-radext-dynauth-server-mib-05.txt 
> 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> This draft is a work item of the RADIUS EXTensions Working 
> Group of the IETF.
> 
> 	Title		: Dynamic Authorization Server MIB
> 	Author(s)	: S. De Cnodder, et al.
> 	Filename	: draft-ietf-radext-dynauth-server-mib-05.txt
> 	Pages		: 28
> 	Date		: 2006-3-29
> 	
> This memo defines a portion of the Management Information Base (MIB)
>    for use with network management protocols in the Internet 
> community.
>    In particular, it describes the Remote Authentication Dial In User
>    Service (RADIUS) [RFC2865] Dynamic Authorization Server (DAS)
>    functions that support the dynamic authorization extensions as
>    defined in RFC 3576.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-radext-dynauth-
server-mib-05.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-radext-dynauth-server-mib-05.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-radext-dynauth-server-mib-05.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Thu, 11 May 2006 13:38:15 +0000
From: "Wijnen, Bert (Bert)" <[email-masked]>
To: [email-masked]
Subject: RE: I-D ACTION:draft-ietf-radext-dynauth-client-mib-05.txt 
Date: Thu, 11 May 2006 15:37:28 +0200

I thinkl this document is fine now.
However, when I read:
   radiusDynAuthServerClientPortNumber OBJECT-TYPE
          SYNTAX     InetPortNumber
          MAX-ACCESS read-only

          STATUS     current
          DESCRIPTION
                "The UDP destination port that the RADIUS Dynamic
                 Authorization Client is using to send requests to this
                 server. The value zero is invalid."
          ::= { radiusDynAuthServerEntry 4 }

I think I would make that 
          SYNTAX     InetPortNumber (1..65535)
So that it is also determinable by machine that zero is invalid.
I know that I only pointed out that according to RFC4001 you must state
what zero means. But if the value is not allowed, as I now understand it,
then I think using the SYNTAX I suggest is better.

Bert

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Thursday, March 30, 2006 01:50
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D ACTION:draft-ietf-radext-dynauth-client-mib-05.txt 
> 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> This draft is a work item of the RADIUS EXTensions Working 
> Group of the IETF.
> 
> 	Title		: Dynamic Authorization Client MIB
> 	Author(s)	: S. De Cnodder, et al.
> 	Filename	: draft-ietf-radext-dynauth-client-mib-05.txt
> 	Pages		: 30
> 	Date		: 2006-3-29
> 	
> This memo defines a portion of the Management Information Base (MIB)
>    for use with network management protocols in the Internet 
> community.
>    In particular, it describes the Remote Authentication Dial In User
>    Service (RADIUS) [RFC2865] Dynamic Authorization Client (DAC)
>    functions that support the dynamic authorization extensions as
>    defined in RFC 3576.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-radext-dynauth-
client-mib-05.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-radext-dynauth-client-mib-05.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-radext-dynauth-client-mib-05.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Mon, 08 May 2006 21:52:24 +0000
Content-class: urn:content-classes:message
Subject: RE: Issue 190: Relationship of Tunnel and Egress-VLAN attributes
Date: Mon, 8 May 2006 14:51:45 -0700
From: "Sanchez, Mauricio (ProCurve)" <[email-masked]>
To: "Bernard Aboba" <[email-masked]>, <[email-masked]>

Looks fine.

MS=20

> -----Original Message-----
> From: Bernard Aboba [mailto:[email-masked]]=20
> Sent: Thursday, May 04, 2006 5:55 AM
> To: Sanchez, Mauricio (ProCurve); [email-masked]
> Subject: RE: Issue 190: Relationship of Tunnel and=20
> Egress-VLAN attributes
>=20
> Can you check that this is fixed in draft-ietf-radext-vlan-05?
>=20
>=20
> >From: "Sanchez, Mauricio (ProCurve)" <[email-masked]>
> >To: "Bernard Aboba"=20
> ><[email-masked]>,<[email-masked]>
> >Subject: Issue 190: Relationship of Tunnel and Egress-VLAN attributes
> >Date: Sun, 30 Apr 2006 11:12:36 -0700
> >
> >
> >Bernard,
> >
> >I'm satisfied with the modification made to section 2.1.  However, I=20
> >also asked that a similar statement be added to section 2.3.  This=20
> >would remove any possibility of ambiguity.
> >
> >MS
>=20
>=20
>=20

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Thu, 04 May 2006 12:55:28 +0000
From: "Bernard Aboba" <[email-masked]>
To: [email-masked], [email-masked]
Bcc: 
Subject: RE: Issue 190: Relationship of Tunnel and Egress-VLAN attributes
Date: Thu, 04 May 2006 05:54:53 -0700

Can you check that this is fixed in draft-ietf-radext-vlan-05?

>From: "Sanchez, Mauricio (ProCurve)" <[email-masked]>
>To: "Bernard Aboba" <[email-masked]>,<[email-masked]>
>Subject: Issue 190: Relationship of Tunnel and Egress-VLAN attributes
>Date: Sun, 30 Apr 2006 11:12:36 -0700
>
>
>Bernard,
>
>I'm satisfied with the modification made to section 2.1.  However, I
>also asked that a similar statement be added to section 2.3.  This would
>remove any possibility of ambiguity.
>
>MS

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Tue, 02 May 2006 19:50:30 +0000
To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-radext-vlan-05.txt 
Date: Tue, 02 May 2006 15:50:01 -0400

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the RADIUS EXTensions Working Group of the IETF.

	Title		: RADIUS Attributes for Virtual LAN and Priority Support
	Author(s)	: P. Congdon, et al.
	Filename	: draft-ietf-radext-vlan-05.txt
	Pages		: 14
	Date		: 2006-5-2
	
This document proposes additional RADIUS (Remote Authentication Dial
   In User Service) attributes for dynamic Virtual LAN assignment and
   prioritization, for use in provisioning of access to IEEE 802 local
   area networks.  These attributes are usable within either RADIUS or
   Diameter.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-radext-vlan-05.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-radext-vlan-05.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-radext-vlan-05.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-radext-vlan-05.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-radext-vlan-05.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Mon, 01 May 2006 19:50:35 +0000
To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-radext-vlan-04.txt 
Date: Mon, 01 May 2006 15:50:01 -0400

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the RADIUS EXTensions Working Group of the IETF.

	Title		: RADIUS Attributes for Virtual LAN and Priority Support
	Author(s)	: P. Congdon, et al.
	Filename	: draft-ietf-radext-vlan-04.txt
	Pages		: 14
	Date		: 2006-5-1
	
This document proposes additional RADIUS (Remote Authentication Dial
   In User Service) attributes for dynamic Virtual LAN assignment and
   prioritization, for use in provisioning of access to IEEE 802 local
   area networks.  These attributes are usable within either RADIUS or
   Diameter.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-radext-vlan-04.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-radext-vlan-04.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-radext-vlan-04.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-radext-vlan-04.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-radext-vlan-04.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Envelope-to: [email-masked]
Delivery-date: Mon, 01 May 2006 16:28:18 +0000
From: "Alan DeKok" <[email-masked]>
To: [email-masked]
cc:
Subject: Results of poll on Diameter <-> RADIUS gateways?
Message-Id: <[email-masked]>
Date: Mon,  1 May 2006 12:19:48 -0400 (EDT)

  Were there responses to the questions about diameter to radius
gateways?  Knowing what current implementations do will help guide
ongoing work.

  Alan DeKok.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

Delivery-date: Mon, 01 May 2006 16:05:32 +0000
Content-class: urn:content-classes:message
Subject: FW: IETF Meeting Survey
Date: Mon, 1 May 2006 12:05:00 -0400
From: "Nelson, David" <[email-masked]>
To: <[email-masked]>

Ray Pelletier, our esteemed Administrative Director, writes...=20

> ... this is a request that you ask members of the=20
> working groups to complete a short survey that focuses=20
> primarily, but not exclusively, on their meeting experience
> in Dallas.=20
>
> I truly want the info to make the changes members of the=20
> community want, if possible and greatly appreciate your=20
> assistance in this regard.
>
> Those interested in taking the survey can find it at:
> http://www.surveymonkey.com/s.asp?u=3D649182049947
>
> Thanks
> Ray Pelletier
> IETF Admininstrative Director

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>